Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class InputOutputStreamWrapper

    java.lang.Object
      org.jivesoftware.util.InputOutputStreamWrapper

All Implemented Interfaces:
  Callable

    public class InputOutputStreamWrapper

extends Object
implements Callable

Callable which will read from an input stream and write to an output stream.

Author:
  Alexander Wenckus

Constructor Summary
`InputOutputStreamWrapper(InputStream in, OutputStream out)`
`InputOutputStreamWrapper(InputStream in, OutputStream out, int bufferSize)`

Method Summary
`Object` | `call()`
`long` | `getAmountWritten()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputOutputStreamWrapper

    public InputOutputStreamWrapper(InputStream in,
                                    OutputStream out,
                                    int bufferSize)

### InputOutputStreamWrapper

    public InputOutputStreamWrapper(InputStream in,
                                    OutputStream out)

Method Detail

### call

    public Object call()
                throws Exception

  Specified by:
    `call` in interface `Callable`
  Throws:
    `Exception`

### getAmountWritten

    public long getAmountWritten()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.